From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/manhole/
Date: Fri, 3 Apr 2020 10:40:58 +0000 (UTC) [thread overview]
Message-ID: <1585910448.32cdad40cc948eca4f4ba21a20fece291757fb3d.andrewammerlaan@gentoo> (raw)
commit: 32cdad40cc948eca4f4ba21a20fece291757fb3d
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Apr 3 10:40:48 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr 3 10:40:48 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=32cdad40
dev-python/manhole: die if tests fail
also, if you dont want distutils_enable_tests to
overwrite your custom test function just put
distutils_enable_tests before the python_test
function
Package-Manager: Portage-2.3.96, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-python/manhole/manhole-1.6.0.ebuild | 14 +++++++-------
1 file changed, 7 insertions(+), 7 deletions(-)
diff --git a/dev-python/manhole/manhole-1.6.0.ebuild b/dev-python/manhole/manhole-1.6.0.ebuild
index b60509b..f452da1 100644
--- a/dev-python/manhole/manhole-1.6.0.ebuild
+++ b/dev-python/manhole/manhole-1.6.0.ebuild
@@ -16,10 +16,9 @@ HOMEPAGE="
https://pypi.org/project/python-manhole
"
SRC_URI="https://github.com/ionelmc/${MYPN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
LICENSE="BSD-2"
SLOT="0"
-IUSE="test"
-RESTRICT="!test? ( test )"
KEYWORDS="~amd64 ~x86"
RDEPEND=""
@@ -37,6 +36,11 @@ DEPEND="
S="${WORKDIR}/${MYPN}-${PV}"
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-py3doc-enhanced-theme \
+ dev-python/sphinxcontrib-napoleon
+
python_test() {
pytest -vv \
--deselect tests/test_manhole.py::test_non_daemon_connection \
@@ -45,10 +49,6 @@ python_test() {
--deselect tests/test_manhole.py::test_fork_exec \
--deselect tests/test_manhole.py::test_connection_handler_exec[str] \
--deselect tests/test_manhole.py::test_connection_handler_exec[func] \
- --deselect tests/test_manhole_cli.py::test_help
+ --deselect tests/test_manhole_cli.py::test_help || die
}
-
-distutils_enable_sphinx docs \
- dev-python/sphinx-py3doc-enhanced-theme \
- dev-python/sphinxcontrib-napoleon
next reply other threads:[~2020-04-03 10:41 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-03 10:40 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-25 12:41 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/manhole/ Julien Roy
2022-11-17 21:22 Anna Vyalkova
2022-10-23 21:04 Anna Vyalkova
2022-10-17 12:12 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2022-10-17 12:12 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2022-06-05 6:16 Anna Vyalkova
2021-12-06 16:10 Anna Vyalkova
2021-11-29 10:37 Anna Vyalkova
2021-10-23 14:04 Anna Vyalkova
2021-10-18 12:07 Anna Vyalkova
2021-10-03 22:55 Alessandro Barbieri
2021-08-14 2:00 Anna Vyalkova
2021-05-26 12:03 Anna Vyalkova
2021-05-25 10:37 Anna Vyalkova
2021-05-03 23:33 Anna Vyalkova
2020-09-24 12:17 Andrew Ammerlaan
2020-06-09 14:00 Andrew Ammerlaan
2020-06-09 14:00 Andrew Ammerlaan
2020-04-02 23:04 Alessandro Barbieri
2020-04-01 20:55 Alessandro Barbieri
2020-03-29 13:21 Andrew Ammerlaan
2020-03-29 9:29 Alessandro Barbieri
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1585910448.32cdad40cc948eca4f4ba21a20fece291757fb3d.andrewammerlaan@gentoo \
--to=andrewammerlaan@riseup.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox